Get a node
curl --request GET \
--url https://api.quiva.ai/hub/nodes/{collection_topic}/{node_topic} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.quiva.ai/hub/nodes/{collection_topic}/{node_topic}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.quiva.ai/hub/nodes/{collection_topic}/{node_topic}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"subject": "ms.hub.config.node.805092869.98765432",
"data": {
"id": "98765432",
"name": "ProcessPayment",
"description": "Processes a payment transaction via Stripe",
"node_type": "function",
"subject": "quiva-function.stripe-charge",
"payload": {
"amount": "{{trigger.amount}}",
"currency": "{{trigger.currency}}",
"customer_id": "{{trigger.customer_id}}"
},
"options": {
"timeout": 30000,
"attempts": 3,
"backoff_ms": 1000,
"ignore_response_codes": [
404,
429
]
}
},
"modified": 1748533179
}
Nodes
Get a node
Retrieves a specific node by subject
GET
/
hub
/
nodes
/
{collection_topic}
/
{node_topic}
Get a node
Authorizations
bearerAuthapiKeyAuth
JWT Authorization header using the Bearer scheme
Path Parameters
The topic is a hash of the name that was used when a collection was created
Node topic - hash of the names the node was created with
⌘I